Bug 857475 - Core backtrace is not handled/generated properly
Core backtrace is not handled/generated properly
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: btparser (Show other bugs)
17
All Linux
high Severity high
: ---
: ---
Assigned To: Michal Toman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 10:26 EDT by Richard Marko
Modified: 2016-01-31 21:22 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-20 06:54:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
problematic core_backtrace (14.03 KB, text/plain)
2012-09-14 10:27 EDT, Richard Marko
no flags Details

  None (edit)
Description Richard Marko 2012-09-14 10:26:18 EDT
When core backtrace contains more spaces, reporter_ureport fails to handle it - part of the function name is used in place of funchash resulting in validation error.


9e028577f30c598f369ec3d060b8b105e911ed10 0x2b58f0 wxMenuBase::SendEvent(int, int) /lib64/libwx_gtk2u_core-2.8.so.0 b8b54ad45434836abfd2b822a90405a924c93008

 { "path": "wxRect", "funcname": "wxWindow::Refresh(bool,", "buildid": "9e028577f30c598f369ec3d060b8b105e911ed10", "funchash": "const*)" }
Comment 1 Richard Marko 2012-09-14 10:27:34 EDT
Created attachment 612906 [details]
problematic core_backtrace
Comment 2 Michal Toman 2012-09-20 06:54:37 EDT
fixed in git

Note You need to log in before you can comment on or make changes to this bug.